#include <cmath>
#include <iostream>
#include "complexe.hpp"
#include "polynome.hpp"

using namespace std;

double legendre(double x){
  return 1.0;
}

double hermite(double x){
  return exp(-x*x);
}

int main (){
  
  polynome<hermite,segment> A(1);
  polynome<legendre,segment> B(1);
  A.set(complexe(1.0,0.0),0);
  A.set(complexe(2.0,0.0),1); // polynome 1 +2x
  B.set(complexe(1.0,0.0),0);
  B.set(complexe(2.0,0.0),1); // polynome 1 +2x
  cout<<" norm A>>>"<<A.norm()<<endl;
  cout<<" norm A>>>"<<B.norm()<<endl;
  return 0;
};

