#ifndef RATIONNEL_HPP
#define RATIONNEL_HPP

#include <cmath>
#include <iostream>

using namespace std;

class rationnel {
  friend class plot_r;
  int n;
  int d;
public:
  rationnel (){
    n = 0;
    d = 1;
  }
  rationnel (int num , int dem){
    if( dem == 0){
      cout<<">>> un dénominateur ne peut être nul"<<endl; exit(0);
    }
    n = num;  d = dem;
  }
  rationnel (const rationnel & x){
    n = x.n;  d = x.d;
  }
  ~rationnel (){
  }
  bool positif();
  bool negatif();
  rationnel modify_n(int nn);
  rationnel modify_d(int nd);
  int num();
  int dem();
  friend void plot_values(rationnel x);
  rationnel operator + (rationnel);
  rationnel operator - ( rationnel);
  rationnel operator * ( rationnel);
  rationnel operator / ( rationnel);
  rationnel & operator = (const rationnel &);
  operator int (); // cast rationnel en int
  operator double (); // cast rationnel en double
  bool operator < (rationnel);
  bool operator > (rationnel);
  bool operator == (rationnel);
  bool operator != (rationnel);
  friend ostream & operator<<(ostream &, const rationnel &);
  friend rationnel operator *(int, const rationnel &);
  int testu_1();
  int testu_2();
  int testu_3();
  int all_testsu();
};

class plot_r {
public:
  void plot(rationnel x);
};

#endif
